SistemaERP/Controllers/ComprobanteController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Entidad;
using Logica;
using Datos;
using Entidad.Estados;
using Microsoft.Reporting.WebForms;

namespace SistemaERP.Controllers
{
    public class ComprobanteController : Controller
    {
        private LComprobante logica = LComprobante.Logica.LComprobante;
        public ActionResult Index()
        {

            try
            {
                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];
             
                return View(logica.listarComprobante(empresa.idEmpresa));
            }
            catch (Exception ex)
            {
                return JavaScript("MostrarMensaje('Ha ocurrido un error.');");
            }
        }


        public ActionResult Comprobante()
        {

            try
            {
                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];
                
                Session["DetalleComprobante"] = new List<EDetalleComprobante>();
                ViewBag.CuentaDetalle = LCuenta.Logica.LCuenta.listarCuentaDetalle(empresa.idEmpresa);
                ViewBag.EmpresaMonedas = LMoneda.Logica.LMoneda.listarMonedaActivaXEmpresa(empresa.idEmpresa);
                ViewBag.Serie = logica.obtenerSerie(empresa.idEmpresa);

                DetalleEstado d = new DetalleEstado();
                d.Estado = 1;
                Session["EstadoComprobante"] = d;

                EDetalleTotal e = new EDetalleTotal();
                e.TotalDebe = 0;
                e.TotalHaber = 0;

                Session["DetalleTotal"] = e;

                return View();
            }
            catch (Exception ex)
            {
                return JavaScript("MostrarMensaje('Ha ocurrido un error.');");
            }
        }

        public ActionResult EComprobante(long idcomprobante)
        {

            try
            {
                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];

                Comprobante comprobante = logica.ObtenerComprobante(empresa.idEmpresa, idcomprobante);
                ViewBag.CuentaDetalle = LCuenta.Logica.LCuenta.listarCuentaDetalle(empresa.idEmpresa);
                ViewBag.EmpresaMonedas = LMoneda.Logica.LMoneda.listarMonedaActivaXEmpresa(empresa.idEmpresa);

               

                List<EDetalleComprobante> detalleComprobantes = new List<EDetalleComprobante>();
                detalleComprobantes = logica.listarDetalleComprobanteXComprobante(comprobante.IdComprobante, comprobante.IdEmpresa);

                Session["DetalleComprobante"] = detalleComprobantes;

                //ViewBag.Serie = logica.obtenerSerie(empresa.idEmpresa);
                DetalleEstado d = new DetalleEstado();
                d.Estado = comprobante.Estado;
                Session["EstadoComprobante"] = d;

                EDetalleTotal e = new EDetalleTotal();
                e.TotalDebe = 0;
                e.TotalHaber = 0;

                foreach(var i in detalleComprobantes)
                {
                    e.TotalDebe = e.TotalDebe + i.Debe;
                    e.TotalHaber = e.TotalHaber + i.Haber;
                }

                Session["DetalleTotal"] = e;

                return View(comprobante);
            }
            catch (Exception ex)
            {
                return JavaScript("MostrarMensaje('Ha ocurrido un error.');");
            }
        }

        public ActionResult RegistroDetalleComprobante(long idcuenta,string detalleglosa, double debe, double haber)
        {

            List<EDetalleComprobante> detalle = new List<EDetalleComprobante>();
            EDetalleTotal total = new EDetalleTotal();

            try
            {


                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];
               

                detalle = Session["DetalleComprobante"] as List<EDetalleComprobante>;
               // total = Session["DetalleTotal"] as EDetalleTotal;

                var cuenta = LCuenta.Logica.LCuenta.obtenerCuenta(idcuenta);

                if (Double.IsNaN(debe))
                {
                    throw new MensageException("Debe ingresar un valor");
                }

                if (Double.IsNaN(haber))
                {
                    throw new MensageException("Debe ingresar un valor");
                }



                if (detalle.Count == 0)
                {
                    EDetalleComprobante d = new EDetalleComprobante();
                    d.IdCuenta = cuenta.idCuenta;
                    d.Cuenta = cuenta.Codigo + " " + cuenta.Nombre;
                    d.Glosa = detalleglosa;
                    d.Debe = debe;
                    d.Haber = haber;
                    detalle.Add(d);

                    total.TotalDebe = debe;
                    total.TotalHaber = haber;

                }else if(detalle.Count > 0)
                {

                    foreach(var i in detalle)
                    {
                        if(cuenta.idCuenta == i.IdCuenta)
                        {
                            throw new MensageException("La cuenta ya existe en el listado");
                        }

                        total.TotalDebe = total.TotalDebe + i.Debe;
                        total.TotalHaber = total.TotalHaber + i.Haber;

                    }

                    EDetalleComprobante d = new EDetalleComprobante();
                    d.IdCuenta = cuenta.idCuenta;
                    d.Cuenta = cuenta.Codigo + " " + cuenta.Nombre;
                    d.Glosa = detalleglosa;
                    d.Debe = debe;
                    d.Haber = haber;
                    detalle.Add(d);

                    total.TotalDebe = total.TotalDebe + debe;
                    total.TotalHaber = total.TotalHaber + haber;
                }

             
                total.TotalDebe = total.TotalDebe;
                total.TotalHaber = total.TotalHaber;

              //  ViewBag.DetalleTotal = total;

                Session["DetalleComprobante"] = detalle;
                Session["DetalleTotal"] = total;

                string hola = "hola";
              return JavaScript("MensajeExitoDetalle('" + hola + "');");
            }
            catch (MensageException ex)
            {
                return JavaScript("MostrarMensaje('" + ex.Message + "');");
            }
            catch (Exception ex)
            {
                return JavaScript("MostrarMensaje('" + ex.Message + "');");
            }

           // return PartialView("ListaDetalleComprobante", detalle);
        }


        public ActionResult ListarDetalleComprobante()
        {

            List<EDetalleComprobante> detalle = new List<EDetalleComprobante>();
            EDetalleTotal total = new EDetalleTotal();

            try
            {


                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];


                detalle = Session["DetalleComprobante"] as List<EDetalleComprobante>;
                total = Session["DetalleTotal"] as EDetalleTotal;



                return PartialView("ListaDetalleComprobante", detalle);

            }
            catch (MensageException ex)
            {
                return JavaScript("MostrarMensaje('" + ex.Message + "');");
            }
            catch (Exception ex)
            {
                return JavaScript("MostrarMensaje('" + ex.Message + "');");
            }

            // return PartialView("ListaDetalleComprobante", detalle);
        }

        [HttpPost]
        public ActionResult EliminarDetalleComprobante(long idcuenta)
        {


            try
            {


                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];

                List<EDetalleComprobante> detalleComprobantes = Session["DetalleComprobante"] as List<EDetalleComprobante>;
                detalleComprobantes.RemoveAll(p => p.IdCuenta == idcuenta);
                EDetalleTotal total = new EDetalleTotal();
                total.TotalDebe = 0;
                total.TotalHaber = 0;
                foreach(var i in detalleComprobantes)
                {

                    total.TotalDebe = total.TotalDebe + i.Debe;
                    total.TotalHaber = total.TotalHaber + i.Haber;

                }


                Session["DetalleComprobante"] = detalleComprobantes;
                Session["DetalleTotal"] = total;

                string hola = "registro exito";
                return JavaScript("MensajeEliminarDetalle('" + hola + "');");
            }
            catch (MensageException ex)
            {
                return JavaScript("MostrarMensaje('" + ex.Message + "');");
            }
            catch (Exception ex)
            {
                return JavaScript("MostrarMensaje('" + ex.Message + "');");
            }

            // return PartialView("ListaDetalleComprobante", detalle);
        }

        public ActionResult EditarDetalleComprobante(long idcuenta, string detalleglosa, double debe, double haber)
        {

            List<EDetalleComprobante> detalle = new List<EDetalleComprobante>();
            EDetalleTotal total = new EDetalleTotal();

            try
            {


                Usuario usuario = (Usuario)Session["Usuario"];
                Empresa empresa = (Empresa)Session["Empresa"];


                detalle = Session["DetalleComprobante"] as List<EDetalleComprobante>;
                // total = Session["DetalleTotal"] as EDetalleTotal;

                var cuenta = LCuenta.Logica.LCuenta.obtenerCuenta(idcuenta);


                int cuentaRepetidas = 0;

                foreach(var i in detalle)
                {

SistemaERP/Views/Comprobante/LibroDiarioParcial.cshtml
@using ReportViewerForMvc;
@using Datos;
@using Entidad;

@{

}

@{
    if (ViewBag.ReporteLibroDiario != null)
    {

        @Html.ReportViewer(ViewBag.ReporteLibroDiario as Microsoft.Reporting.WebForms.ReportViewer, new { style = "width: 900px; height:900px;" })
    }
}

SistemaERP/Views/Comprobante/LibroMayorParcial.cshtml
@using ReportViewerForMvc;
@using Datos;
@using Entidad;

@{

}

@{
    if (ViewBag.ReporteLibroMayor != null)
    {

        @Html.ReportViewer(ViewBag.ReporteLibroMayor as Microsoft.Reporting.WebForms.ReportViewer, new { style = "width: 900px; height:900px;" })
    }
}

SistemaERP/Views/Comprobante/ListaComprobante.cshtml
@using Datos;
@using Entidad.Estados;
@model List<Comprobante>



<table  class="table table-bordered table-hover" id="tabla_gestion">

    <thead>
        <tr>
            <th>SERIE</th>
            <th>TIPO</th>
            <th>MONEDA</th>
            <th>FECHA</th>
            <th></th>
        </tr>
    </thead>
    <tbody>

        @{
            foreach (var i in Model)
            {
                <tr>

                    <td>@i.Serie</td>
                    @{
                        switch (i.TipoComprobante)
                        {
                            case (int)TipoComprobante.Ingreso:
                                <td>Ingreso</td>
                                break;
                            case (int)TipoComprobante.Egreso:
                                <td>Egreso</td>
                                break;
                            case (int)TipoComprobante.Traspaso:
                                <td>Traspaso</td>
                                break;
                            case (int)TipoComprobante.Apertura:
                                <td>Apertura</td>
                                break;
                            case (int)TipoComprobante.Ajuste:
                                <td>Ajuste</td>
                                break;

                        }

                    }

                    <td>@i.Moneda.Abreviatura</td>
                    <td>@i.Fecha.ToString("dd/MM/yyyy")</td>
                    <td>

                        <a href="@Url.Action("EComprobante", "Comprobante", new { idcomprobante = i.IdComprobante })" class="btn btn-secondary "><i class="fas fa-edit"></i> </a>
                    </td>
                </tr>
            }
        }

    </tbody>

</table>

SistemaERP/Views/Comprobante/ListaDetalleComprobante.cshtml
@using Datos;
@using Entidad.Estados;
@using Entidad;
@model List<EDetalleComprobante>
@{

    EDetalleTotal detalleTotal = Session["DetalleTotal"] as EDetalleTotal;
    DetalleEstado detalleEstado = Session["EstadoComprobante"] as DetalleEstado;
}

<div style="height:250px; overflow: scroll;">

    <table class="table table-bordered table-hover" id="tabla_detalleComprobante">

        <thead>
            <tr>
                <th>CUENTA</th>
                <th>GLOSA</th>
                <th>DEBE</th>
                <th>HABER</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody>

            @{
                foreach (var i in Model)
                {
                    <tr>

                        <td>@i.Cuenta</td>
                        <td>@i.Glosa</td>

                        <td style="text-align:right;">@(i.Debe)</td>
                        <td style="text-align:right;">@i.Haber</td>
                        <td>
                            @{
                                if (detalleEstado.Estado == (int)EstadoComprobante.Abierto)
                                {
                                    <button class="btn btn-secondary form-group fas fa-edit" onclick="AbrirModalEditar('@i.IdCuenta','@i.Cuenta','@i.Debe','@i.Haber','@i.Glosa')"> </button>
                                }
                            }

                        </td>
                        <td>
                            @{
                                if (detalleEstado.Estado == (int)EstadoComprobante.Abierto)
                                {
                                    <button class="btn btn-danger form-group  fas fa-trash-alt" onclick="AbrirModalEliminar('@i.IdCuenta','@i.Cuenta')"> </button>
                                }
                            }

                        </td>
                    </tr>

                }


            }

        </tbody>

    </table>


</div>
    
    <br />
    <div class="row justify-content-center" style="padding-left:60px">
        <div class="col-md-2">
            <div class="form-group">
                <label>TOTALES:</label>
            </div>
        </div>

        @{

            if (detalleTotal != null)
            {
                <div class="col-md-2">
                    <div class="form-group">

                        <input type="text" class="form-control" id="itTotalDebe" value="@detalleTotal.TotalDebe" style="text-align:right;" disabled>
                    </div>
                </div>
                <div class="col-md-2">
                    <div class="form-group">

                        <input type="text" class="form-control" id="itTotalHaber" value="@detalleTotal.TotalHaber" style="text-align:right;" disabled>
                    </div>
                </div>
            }
            else
            {
                <div class="col-md-2">
                    <div class="form-group">

                        <input type="text" class="form-control" id="itTotalDebe" style="text-align:right;" disabled>
                    </div>
                </div>
                <div class="col-md-2">
                    <div class="form-group">

                        <input type="text" class="form-control" id="itTotalHaber" style="text-align:right;" disabled>
                    </div>
                </div>
            }

        }



    </div>

SistemaERP/Views/Comprobante/ListarPeriodo.cshtml
@using Datos;
@using Entidad;

@model List<Periodo>
@{
  
}

@section EtiquetaHead
{

    <!-- Select2 -->

    <link href="@Url.Content("~/Content/adminLte/plugins/select2/css/select2.min.css")" rel="stylesheet" />
    <script src="@Url.Content("~/Content/adminLte/select2/js/select2.full.min.js")"></script>
    <link href="@Url.Content("~/Content/adminLte/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css")" rel="stylesheet" />


}

<select id="select_periodo" class="form-control select2" style="width: 100%;">
    @{

       
           <option value="0"> Todos</option>

           foreach (var i in Model)
           {
                
                    <option value="@i.idPeriodo"> @i.Nombre</option>
            
           }
      

    }
</select>

SistemaERP/Views/Comprobante/ReporteBalanceInicial.cshtml
@using ReportViewerForMvc;
@using Datos;
@using Entidad;

@{
    ViewBag.Title = "Reporte Sumas y Saldos";
    // Gestion gestion = ESesion.ObtenerGestion<Gestion>(Session["Gestion"]);
    Layout = "~/Views/Shared/_Layout.cshtml";

    List<Gestion> gestiones = ViewBag.Gestion;

    List<EmpresaMoneda> empresaMonedas = ViewBag.EmpresaMonedas;

    EmpresaMoneda emoneda = empresaMonedas.First();

}
@section EtiquetaHead
    {



    <link href="@Url.Content("~/Content/adminLte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/adminLte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css")" rel="stylesheet" />


    <link href="@Url.Content("~/Content/bootstrap-datepicker/css/bootstrap-datepicker.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/bootstrap-datepicker/css/bootstrap-datepicker3.css")" rel="stylesheet" />

    @* pdf <link href="//cdn.datatables.net/buttons/1.5.6/css/buttons.bootstrap4.min.css" rel="stylesheet">
    *@

    @*<link href="@Url.Content("~/Content/adminLte/plugins1/datatables/datatables.min.css")" rel="stylesheet" />
        <link href="@Url.Content("~/Content/adminLte/plugins1/datatables/plugins/bootstrap/datatables.bootstrap.css")" rel="stylesheet" />
    *@
}



<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">



        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- Default box -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">
                          Reporte Sumas y Saldos
                        </h3>

                    </div>
                    <div class="card-body">


                        <div class="row ">



                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Gestion</label>
                                    <select class="form-control select2" style="width: 100%;" id="select_Gestion" onchange="listarPeriodo()">

                                        @{
                                            foreach (var i in gestiones)
                                            {

                                                <option value="@i.IdGestion">@i.Nombre</option>

                                            }
                                        }


                                    </select>

                                </div>
                            </div>

                           @* <div class="col-md-4">
                                <label class="control-label">Periodo</label>
                                <div class="form-group" id="contenedorPeriodo">

                                    @Html.Partial("ListarPeriodo", new List<Periodo>())

                                </div>

                            </div>*@

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Moneda</label>
                                    <select class="form-control select2" style="width: 100%;" id="select_Moneda">

                                        @{
                                            foreach (var i in empresaMonedas)
                                            {

                                                <option value="@i.IdMonedaPrincipal">@i.Moneda.Abreviatura</option>
                                                if (i.IdMonedaAlternativa != null)
                                                {
                                                    <option value="@i.IdMonedaAlternativa">@i.Moneda1.Abreviatura</option>
                                                }
                                            }
                                        }


                                    </select>

                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    
                                        <button class="btn btn-primary" onclick="ReporteSumasSaldo()"> <i class=" fas fa-print"></i> Generar Libro Diario </button>

                                    
                                </div>
                            </div>

                           


                        </div>




                        <div class="form-group" id="contenedor" style="width: 900px; height: 900px">
                            @Html.Partial("SumasSaldosParcial")
                        </div>




                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">

                    </div>
                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>
    </div>
</section>


@section Scripts{


    <script src="@Url.Content("~/Content/adminLte/plugins/datatables/jquery.dataTables.min.js")"></script>

    <script src="@Url.Content("~/Content/adminLte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/Content/adminLte/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/Content/adminLte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>

    <script src="@Url.Content("~/Content/bootstrap-datepicker/js/bootstrap-datepicker.min.js")"></script>

    @* Buttons pdf <script src="//cdn.datatables.net/buttons/1.5.6/js/dataTables.buttons.min.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.bootstrap4.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.html5.min.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.print.min.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.colVis.min.js"></script>*@


    @*<script src="@Url.Content("~/Scripts/metronic/global/scripts/datatable.js")"></script>

        <script src="@Url.Content("~/Content/adminLte/plugins1/datatables/datatables.min.js")"></script>
        <script src="@Url.Content("~/Content/adminLte/plugins1/datatables/plugins/bootstrap/datatables.bootstrap.js")"></script>
    *@
<script type="text/javascript">




        $(document).ready(function () {

            $("#select_Gestion").select2();
            $("#select_Moneda").select2();
           // $("#select_periodo").select2();
        });

        function redireccionar(url) {
            window.location = url;
        }





        function listarPeriodo()
        {

            let IdGestion = $("#select_Gestion").val();

           /* if (IdGestion == null) {
                IdGestion = 0;
            }*/

            $.ajax({
                url: "@Url.Action("ListarPeriodo", "Comprobante")",
                cache: false,
                data: {
                    idgestion: IdGestion
                },
                type: "GET", success: function (html) {
                    $("#contenedorPeriodo").html(html);
                    $("#select_periodo").select2();
                }
            })

        }


        function ReporteSumasSaldo()
        {

            let IdGestion = $("#select_Gestion").val();
           // let IdPeriodo = $("#select_periodo").val();
            let IdMoneda = $("#select_Moneda").val();
            /*if (IdPeriodo == null) {
                IdPeriodo = 0;
            }*/

            $.ajax({
                url: "@Url.Action("ReporteDeSumasSaldos", "Comprobante")",
                cache: false,
                data: {
                    idgestion: IdGestion,
                    idmoneda: IdMoneda
                },
                type: "GET", success: function (html) {
                    $("#contenedor").html(html);
                  
                }
            })

        }


        function MostrarMensaje(msj) {
                $("#modalEliminar").modal('hide');


                 $(document).Toasts('create', {
                        class: ' bg-danger',
                        title: "Alerta",
                        autohide: true,
                        delay: 10000,
                        body: msj
                    });
        }











</script>

}

SistemaERP/Views/Comprobante/ReporteComprobante.cshtml
@using ReportViewerForMvc;
@using Datos;
@using Entidad;

@{
    ViewBag.Title = "Reporte Comprobante";
   // Gestion gestion = ESesion.ObtenerGestion<Gestion>(Session["Gestion"]);
    Layout = "~/Views/Shared/_Layout.cshtml";

}
@section EtiquetaHead
    {



    <link href="@Url.Content("~/Content/adminLte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/adminLte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css")" rel="stylesheet" />


    <link href="@Url.Content("~/Content/bootstrap-datepicker/css/bootstrap-datepicker.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/bootstrap-datepicker/css/bootstrap-datepicker3.css")" rel="stylesheet" />

    @* pdf <link href="//cdn.datatables.net/buttons/1.5.6/css/buttons.bootstrap4.min.css" rel="stylesheet">
    *@

    @*<link href="@Url.Content("~/Content/adminLte/plugins1/datatables/datatables.min.css")" rel="stylesheet" />
        <link href="@Url.Content("~/Content/adminLte/plugins1/datatables/plugins/bootstrap/datatables.bootstrap.css")" rel="stylesheet" />
    *@
}



<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">



        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- Default box -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">
                          Reporte Comprobante
                        </h3>

                    </div>
                    <div class="card-body">


                        <div class="row ">
                            <div class="form-group">
                                <a href="@Url.Action("Index", "Comprobante")" class="btn btn-secondary" style="margin-left:10px;"> <i class=" fas fa-undo-alt"></i>  </a>
                            </div>


                        </div>
                        <div class="form-group"  style="width: 900px; height: 900px;">
                            @Html.ReportViewer(ViewBag.ReporteComprobante as Microsoft.Reporting.WebForms.ReportViewer, new { style = "width: 900px; height:900px " })

                        </div>




                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">

                    </div>
                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>
    </div>
</section>


@section Scripts{


    <script src="@Url.Content("~/Content/adminLte/plugins/datatables/jquery.dataTables.min.js")"></script>

    <script src="@Url.Content("~/Content/adminLte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/Content/adminLte/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/Content/adminLte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>

    <script src="@Url.Content("~/Content/bootstrap-datepicker/js/bootstrap-datepicker.min.js")"></script>

    @* Buttons pdf <script src="//cdn.datatables.net/buttons/1.5.6/js/dataTables.buttons.min.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.bootstrap4.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.html5.min.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.print.min.js"></script>
        <script src="//cdn.datatables.net/buttons/1.5.6/js/buttons.colVis.min.js"></script>*@


    @*<script src="@Url.Content("~/Scripts/metronic/global/scripts/datatable.js")"></script>

        <script src="@Url.Content("~/Content/adminLte/plugins1/datatables/datatables.min.js")"></script>
        <script src="@Url.Content("~/Content/adminLte/plugins1/datatables/plugins/bootstrap/datatables.bootstrap.js")"></script>
    *@
    <script type="text/javascript">




        $(document).ready(function () {
          

        });

        function redireccionar(url) {
            window.location = url;
        }







         
        

        function MostrarMensaje(msj) {
                $("#modalEliminar").modal('hide');


                 $(document).Toasts('create', {
                        class: ' bg-danger',
                        title: "Alerta",
                        autohide: true,
                        delay: 10000,
                        body: msj
                    });
        }


         


       
      




    </script>

}

SistemaERP/Views/Comprobante/SumasSaldosParcial.cshtml
@using ReportViewerForMvc;
@using Datos;
@using Entidad;

@{

}

@{
    if (ViewBag.ReporteSaldosSumas != null)
    {

        @Html.ReportViewer(ViewBag.ReporteSaldosSumas as Microsoft.Reporting.WebForms.ReportViewer, new { style = "width: 900px; height:900px;" })
    }
}